Debian Bug report logs - #700155
ITP: silversearcher-ag -- very fast grep-like program. alternative ack-grep.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hajime MIZUNO <mizuno-as@ubuntu.com>

Date: Sat, 9 Feb 2013 07:30:02 UTC

Owned by: Hajime MIZUNO <mizuno-as@ubuntu.com>

Severity: wishlist

Fixed in version silversearcher-ag/0.0~20130213+git55028b4e-1

Done: Hajime Mizuno <mizuno-as@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#700155; Package wnpp. (Sat, 09 Feb 2013 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hajime MIZUNO <mizuno-as@ubuntu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 09 Feb 2013 07:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hajime MIZUNO <mizuno-as@ubuntu.com>
To: submit@bugs.debian.org
Subject: ITP: silversearcher-ag -- very fast grep-like program. alternative ack-grep.
Date: Sat, 9 Feb 2013 16:23:20 +0900
Package: wnpp
Owner: Hajime MIZUNO <mizuno-as@ubuntu.com>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

* Package name    : silversearcher-ag
  Version         : currently not assigned version number by upstrearm.
  Upstream Author : Geoff Greer <geoff at greer dot fm>
* URL or Web page : https://github.com/ggreer/the_silver_searcher
* License         : Apache-2.0
  Description     : very fast grep-like program. alternative ack-grep.

The Silver Searcher is grep-like program implemented by C.
An attempt to make something better than ack-grep.

- It searches pattern about 3–5x faster than ack-grep.
- It ignores file patterns from your .gitignore and .hgignore.
- If there are files in your source repo you don't want to search.

-- 
Regards,

Hajime MIZUNO <mizuno-as@ubuntu.com>
Key fingerprint = 9B07 B934 B70C 8482 8892  E276 502E 0713 4EEF 9E8D



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hajime MIZUNO <mizuno-as@ubuntu.com>:
Bug#700155; Package wnpp. (Sat, 09 Feb 2013 13:21:03 GMT) Full text and rfc822 format available.

Message #8 received at 700155@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Hajime MIZUNO <mizuno-as@ubuntu.com>, 700155@bugs.debian.org
Subject: Re: Bug#700155: ITP: silversearcher-ag -- very fast grep-like program. alternative ack-grep.
Date: Sat, 9 Feb 2013 14:18:53 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb 09, 2013 at 04:23:20PM +0900, Hajime MIZUNO wrote:
> * Package name    : silversearcher-ag
>   Version         : currently not assigned version number by upstrearm.
>   Upstream Author : Geoff Greer <geoff at greer dot fm>
> * URL or Web page : https://github.com/ggreer/the_silver_searcher
> * License         : Apache-2.0
>   Description     : very fast grep-like program. alternative ack-grep.
> 
> The Silver Searcher is grep-like program implemented by C.
> An attempt to make something better than ack-grep.
> 
> - It searches pattern about 3–5x faster than ack-grep.
> - It ignores file patterns from your .gitignore and .hgignore.
> - If there are files in your source repo you don't want to search.

How does it compare to »git grep«?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700155; Package wnpp. (Sat, 09 Feb 2013 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hajime MIZUNO <mizuno-as@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 15:33:03 GMT) Full text and rfc822 format available.

Message #13 received at 700155@bugs.debian.org (full text, mbox):

From: Hajime MIZUNO <mizuno-as@ubuntu.com>
To: Philipp Kern <pkern@debian.org>, 700155@bugs.debian.org
Subject: Re: Bug#700155: ITP: silversearcher-ag -- very fast grep-like program. alternative ack-grep.
Date: Sun, 10 Feb 2013 00:30:56 +0900
2013/2/9 Philipp Kern <pkern@debian.org>:
>> The Silver Searcher is grep-like program implemented by C.
>> An attempt to make something better than ack-grep.
>
> How does it compare to »git grep«?

Silver Searcher(a.k.a. ag) is as fast as git-grep.
Furthermore git-grep only works on git repos.

-- 
Regards,

Hajime MIZUNO <mizuno-as@ubuntu.com>
Key fingerprint = 9B07 B934 B70C 8482 8892  E276 502E 0713 4EEF 9E8D



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Feb 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Hajime Mizuno <mizuno-as@ubuntu.com>:
You have taken responsibility. (Tue, 09 Apr 2013 21:03:29 GMT) Full text and rfc822 format available.

Notification sent to Hajime MIZUNO <mizuno-as@ubuntu.com>:
Bug acknowledged by developer. (Tue, 09 Apr 2013 21:03:29 GMT) Full text and rfc822 format available.

Message #20 received at 700155-close@bugs.debian.org (full text, mbox):

From: Hajime Mizuno <mizuno-as@ubuntu.com>
To: 700155-close@bugs.debian.org
Subject: Bug#700155: fixed in silversearcher-ag 0.0~20130213+git55028b4e-1
Date: Tue, 09 Apr 2013 21:00:15 +0000
Source: silversearcher-ag
Source-Version: 0.0~20130213+git55028b4e-1

We believe that the bug you reported is fixed in the latest version of
silversearcher-ag, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700155@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hajime Mizuno <mizuno-as@ubuntu.com> (supplier of updated silversearcher-ag package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 13 Feb 2013 20:31:42 +0900
Source: silversearcher-ag
Binary: silversearcher-ag
Architecture: source amd64
Version: 0.0~20130213+git55028b4e-1
Distribution: unstable
Urgency: low
Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
Changed-By: Hajime Mizuno <mizuno-as@ubuntu.com>
Description: 
 silversearcher-ag - very fast grep-like program, altenative to ack-grep
Closes: 700155
Changes: 
 silversearcher-ag (0.0~20130213+git55028b4e-1) unstable; urgency=low
 .
   * Initial release (Closes: #700155)
Checksums-Sha1: 
 94ee8dfe638f692164939325dac678991cd325f3 1984 silversearcher-ag_0.0~20130213+git55028b4e-1.dsc
 3647fb9fd145fc8e675155a76dc2119c82892646 31818 silversearcher-ag_0.0~20130213+git55028b4e.orig.tar.gz
 1deace0899c7b8fa511e4bccc394b3efed411c06 1862 silversearcher-ag_0.0~20130213+git55028b4e-1.debian.tar.gz
 3350a50f72342dadca5dd71fe9d00f87c63e7a41 24834 silversearcher-ag_0.0~20130213+git55028b4e-1_amd64.deb
Checksums-Sha256: 
 be83eb16fc47e872d274cc52298d4ec50d4d8da2cf0beaf5721bcd8c4e6ecdd5 1984 silversearcher-ag_0.0~20130213+git55028b4e-1.dsc
 22384bc6f6117fc29aa79f3cc80905f7a8826b524d3f8bc91f7fbdf059213d7e 31818 silversearcher-ag_0.0~20130213+git55028b4e.orig.tar.gz
 330bef926890192e40f87d9bb1702b5d5f8e2f3cadc39d313bee3eabeba21be3 1862 silversearcher-ag_0.0~20130213+git55028b4e-1.debian.tar.gz
 887e4d032eef51e98cb153a5b8d6a7bc2b2c028d231c08af5a17a46474b9f607 24834 silversearcher-ag_0.0~20130213+git55028b4e-1_amd64.deb
Files: 
 20bbf4082f5ac8b7a3c3c50484445048 1984 utils extra silversearcher-ag_0.0~20130213+git55028b4e-1.dsc
 8a2ce5bf5d385813b74dd05cda4c05c9 31818 utils extra silversearcher-ag_0.0~20130213+git55028b4e.orig.tar.gz
 87b3266e7483888ae98393953fb75d11 1862 utils extra silversearcher-ag_0.0~20130213+git55028b4e-1.debian.tar.gz
 4bcf08cd2e90f5a02c5120ea92c5f949 24834 utils extra silversearcher-ag_0.0~20130213+git55028b4e-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRIdcaAAoJEDIkf7tArR+mVr4P/34Ojkk/qMoLx1FUcVLb5AGS
cLaVnN7TXgkqupPW6mFamjAnFP/SRZtbtf+kgQ3Yj37JmlgBiH1u25vSDQLFs+f0
15WGvRc+bF/xPe27JjGkUH0q+3PQzfESZznsa5Fx05HEmXEM79MQEFb7J885socZ
25+YtMEnN/fu4n2TFXMNPgO524Q/g7d9nFGB3QzK51fUDaf4HWzrFq/f1QwhGM0A
iABHzWitsk8uKomqthl9Ji6RPvpsoKdVszIdyHz0gjH3ECgakND1HUd/oGQWTh2K
Dz4myvDI/SjAw/GH6vhi14n38YvqHobmZ/MK7v8mVMxreezvnPzx0EvPh7Ot8jbo
M50XhNDdr1AmEnluS5DQh0iK/FAOFSYQSS6Jzbt0O60zrw6OmpEyU/SlIJnLuiNa
RQUtZwHooAYfuRyX69AtX+tUMpnbKnijEaWKcpX6uEshBxgxmo1M3k27N5cIwlRq
dc74u9fQcO2/LujmBLoZ6jeyoX1djFoDJBrIpzbRfyF7bw96LR3gydDds/yZXoa2
Kns0GLUIk4TSWNdHMRAXMl3DD7mwYEyDRbjS4JwQaQffZchkX3FCm/itau8wU614
m4Z5opeQBE5lNEs272YhfWw77w6//hx4HyEWdAti0ZIbOIvvKwFATajXpnhz488l
d5FeiFDj+nf3sy7xwuoX
=Cj1y
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 May 2013 07:30:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:27:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.